# eric6.Helpviewer.AdBlock.AdBlockAccessHandler

Module implementing a scheme access handler for AdBlock URLs.

### Global Attributes

None

### Classes

AdBlockAccessHandler | Class implementing a scheme access handler for AdBlock URLs.

### Functions

None

## AdBlockAccessHandler

Class implementing a scheme access handler for AdBlock URLs.

### Derived from

SchemeAccessHandler

### Class Attributes

None

### Class Methods

None

### Methods

createRequest | Public method to create a request.

### Static Methods

None

#### AdBlockAccessHandler.createRequest

createRequest(op, request, outgoingData=None)

Public method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

Up